package com.gyee.edge.loader.data;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Optional;


@Data
@AllArgsConstructor
@NoArgsConstructor
public class GeneralTsData implements TsData {

    private long ts;
    private short status;
    private Optional<Double> doubleValue;
    private Optional<Long> longValue;
    private Optional<Boolean> booleanValue;
    private Optional<String> stringValue;
    private Optional<String> blobValue;
    private Optional<Coordinate> coordinateValue;
    private Optional<Float> floatValue;



}

